Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoBitInversion< Chrom > Class Template Reference
[Bitstring]

eoBitInversion: inverts the bits of the chromosome between an interval More...

`#include <ga/eoBitOp.h>`

Inheritance diagram for eoBitInversion< Chrom >:

List of all members.

## Public Member Functions
virtual std::string | className () const
| The class name.
bool | operator() (Chrom &chrom)
| Inverts a range of bits in a binary chromosome.

## Detailed Description

### template<class Chrom>
class eoBitInversion< Chrom >

eoBitInversion: inverts the bits of the chromosome between an interval

Definition at line 146 of file eoBitOp.h.

## Member Function Documentation

template<class Chrom>
bool eoBitInversion< Chrom >::operator() | ( | Chrom & | chrom | ) | `[inline, virtual]`

  | Inverts a range of bits in a binary chromosome. Parameters:
  | chrom | The chromosome whos bits are going to be inverted (a range).
Implements eoUF< Chrom &, bool >. Definition at line 156 of file eoBitOp.h.

The documentation for this class was generated from the following file:

- eoBitOp.h